Arch Add/de: Difference between revisions

From FreeCAD Documentation
(Created page with "# Wähle ein oder mehrere hinzuzufügende Objekte, dann das Zielobjekt. Das Zielobjekt muss das letze ausgewählte Objekt sein. # Drücke den {{KEY|16px...")
(Created page with "Das Hinzufügen-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:")
Line 20: Line 20:
==Scripting==
==Scripting==


Das Hinzufügen-Werkzeug kann in [[macros/de|Makros]] und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:
The Add tool can by used in [[macros]] and from the python console by using the following function:
'''addComponents (objectsList,hostObject)''':
'''addComponents (objectsList,hostObject)''':
* Adds the given object or the objects from the given list as components to the given host Object. Use this for example to add windows to a wall, or to add walls to a floor.
* Adds the given object or the objects from the given list as components to the given host Object. Use this for example to add windows to a wall, or to add walls to a floor.

Revision as of 00:12, 29 November 2013

Teil hinzufügen

Menüeintrag
Architektur -> Teil hinzufügen
Arbeitsbereich
Arch
Standardtastenkürzel
W A
Eingeführt in Version
-
Siehe auch
Entfernen

Beschreibung

The Add tool allows you to do 4 kinds of operations:

In obenstehendem Bild wird ein Quader einer Wand hinzugefügt.

Anwendung

  1. Wähle ein oder mehrere hinzuzufügende Objekte, dann das Zielobjekt. Das Zielobjekt muss das letze ausgewählte Objekt sein.
  2. Drücke den Hinzufügen-Knopf.

Scripting

Das Hinzufügen-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

addComponents (objectsList,hostObject): 
  • Adds the given object or the objects from the given list as components to the given host Object. Use this for example to add windows to a wall, or to add walls to a floor.
  • Returns nothing.

Example:

import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
Arch.addComponents(box,wall)